%define upstream_name    LWP-Protocol-https
%define upstream_version 6.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Provide https support for LWP::UserAgent
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/LWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IO::Socket::SSL) >= 1.970.0
BuildRequires: perl(IO::Socket::SSL::Utils)
BuildRequires: perl(LWP::Protocol::http)
BuildRequires: perl(LWP::UserAgent) >= 6.60.0
BuildRequires: perl(Net::HTTPS) >= 6.0.0
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Needs) >= 0.2.10
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The LWP::Protocol::https module provide support for using https schemed
URLs with LWP. This module is a plug-in to the LWP protocol handling, so
you don't use it directly. Once the module is installed LWP is able to
access sites using HTTP over SSL/TLS.

If hostname verification is requested by LWP::UserAgent's 'ssl_opts', and
neither 'SSL_ca_file' nor 'SSL_ca_path' is set, then 'SSL_ca_file' is
implied to be the one provided by Mozilla::CA. If the Mozilla::CA module
isn't available SSL requests will fail. Either install this module, set up
an alternative 'SSL_ca_file' or disable hostname verification.

This module used to be bundled with the libwww-perl, but it was unbundled
in v6.02 in order to be able to declare its dependencies properly for the
CPAN tool-chain. Applications that need https support can just declare
their dependency on LWP::Protocol::https and will no longer need to know
what underlying modules to install.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 6.140.0-3.mga10
+ Revision: 2226658
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 tv <tv> 6.140.0-2.mga10
+ Revision: 2089258
- Rebuild for perl-5.40

* Mon Mar 11 2024 tv <tv> 6.140.0-1.mga10
+ Revision: 2049144
- update to 6.14

* Wed Feb 07 2024 tv <tv> 6.130.0-1.mga10
+ Revision: 2038326
- update to 6.13

* Thu Jan 25 2024 tv <tv> 6.120.0-1.mga10
+ Revision: 2034245
- update to 6.12

* Wed Nov 29 2023 tv <tv> 6.110.0-2.mga10
+ Revision: 2011389
- Rebuild for perl-5.38

* Sun Sep 10 2023 tv <tv> 6.110.0-1.mga10
+ Revision: 1985798
- update to 6.11

* Mon Mar 21 2022 umeabot <umeabot> 6.100.0-2.mga9
+ Revision: 1813755
- Mageia 9 Mass Rebuild

* Fri Dec 18 2020 tv <tv> 6.100.0-1.mga8
+ Revision: 1660730
- update to 6.10

* Fri Jul 17 2020 tv <tv> 6.90.0-1.mga8
+ Revision: 1606661
- update to 6.09

* Wed Feb 12 2020 umeabot <umeabot> 6.70.0-3.mga8
+ Revision: 1504916
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 6.70.0-2.mga7
+ Revision: 1284492
- Mageia 7 Mass Rebuild

* Sun Jul 23 2017 tv <tv> 6.70.0-1.mga7
+ Revision: 1129500
- rediff patch +BR perl(Test::RequiresInternet)
- new release

* Sun Jun 19 2016 pterjan <pterjan> 6.60.0-6.mga6
+ Revision: 1029490
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 6.60.0-5.mga6
+ Revision: 952574
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 shlomif <shlomif> 6.60.0-4.mga5
+ Revision: 817407
- Fix build failure by disabling a test.

* Wed Oct 15 2014 umeabot <umeabot> 6.60.0-3.mga5
+ Revision: 741778
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.60.0-2.mga5
+ Revision: 685185
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 sander85 <sander85> 6.60.0-1.mga5
+ Revision: 662217
- update to 6.06

* Mon Jun 02 2014 jquelin <jquelin> 6.40.0-3.mga5
+ Revision: 630625
- fix CVE-2014-3230 (mga#13425)

* Sat Oct 19 2013 umeabot <umeabot> 6.40.0-2.mga4
+ Revision: 526333
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 6.40.0-1.mga4
+ Revision: 436625
- update to 6.04

* Sun Jan 13 2013 umeabot <umeabot> 6.30.0-2.mga3
+ Revision: 368919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 24 2012 jquelin <jquelin> 6.30.0-1.mga2
+ Revision: 213717
- update to 6.03

* Mon Jun 13 2011 ahmad <ahmad> 6.20.0-1.mga2
+ Revision: 105466
- imported package perl-LWP-Protocol-https


* Mon Jun 13 2011 ahmad <ahmad> 6.20.0-1.mga2
+ Revision: 105466
- imported package perl-LWP-Protocol-https

